CREATE TABLE api_configs (
     id BIGINT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
     name VARCHAR(64) NOT NULL COMMENT 'API名称',
     url VARCHAR(255) NOT NULL COMMENT 'API URL地址',
     api_key VARCHAR(255) DEFAULT NULL COMMENT 'API访问密钥',
     api_secret VARCHAR(512) DEFAULT NULL COMMENT 'API安全密钥',
     status TINYINT(1) UNSIGNED DEFAULT 0 COMMENT '状态(0-启用 1-停用)',
     create_time datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
     update_time datetime  COMMENT '更新时间',
     create_by VARCHAR(64) DEFAULT NULL COMMENT '创建人',
     update_by VARCHAR(64) DEFAULT NULL COMMENT '更新人',
     is_deleted TINYINT(1) UNSIGNED DEFAULT 0 COMMENT '是否删除(0-未删除 1-已删除)',
     remark VARCHAR(255) DEFAULT NULL COMMENT '备注',
     PRIMARY KEY (id),
     UNIQUE KEY uk_name (name) COMMENT 'API名称唯一索引',
     KEY idx_status (status) COMMENT '状态索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='API信息配置表';


INSERT INTO api_configs (name, url, api_key, api_secret, status,create_by)
VALUES("海康平台API","https://116.53.205.228:14443/artemis","21887937","hwOzOEqxuPDz5frAnEXb",0,"admin");