package com.tcctyn.iot.api;

import com.tcctyn.common.core.constant.ServiceNameConstants;
import com.tcctyn.common.core.web.domain.R;
import com.tcctyn.common.core.web.domain.model.LoginUser;
import com.tcctyn.iot.api.factory.RemoteDeviceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 用户服务
 * 
 * @author tcctyn
 */
@FeignClient(contextId = "remoteDeviceService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemoteDeviceFallbackFactory.class)
public interface RemoteDeviceService
{
    /**
     * 通过id获取设备信息
     *
     * @param username 用户名
     * @return 结果
     */
    @GetMapping("/device/info/{deviceNo}")
    public R<LoginUser> getDeviceInfoByDeviceNo(@PathVariable("deviceNo") String deviceNo);


}
