package com.tcctyn.iot.api.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 设备配置表
 * </p>
 *
 * @author 宋国强
 * @since 2025-04-14
 */

@Data
public class DeviceConfig {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备编号
     */
    @NotBlank(message = "设备编号不能为空")
    private String deviceNo;

    /**
     * 用户账户
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * IP地址
     */
    private String ip;

    /**
     * 端口号
     */
    private String port;

    /**
     * 备注
     */
    private String remark;

}
