package com.tcctyn.iot.forestfire.BO;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FireWarningMQTTBO implements Serializable {

    private static final long serialVersionUID = 184298993802545138L;

    /** 火情预警id */
    private Long id;

    /**
     * 发现火情设备编号
     */
    private String deviceNo;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 所属区域id
     */
    private Long regionId;

    /**
     * 火情标题
     */
    private String fireTitle;

    /**
     * 火情级别
     */
    private String fireLevel;

    /**
     * 起火原因
     */
    private String fireCause;

    /**
     * 处置状态：未处理、已研判、已上报、已归档
     */
    private String disposalStatus;

    /**
     * 火情图片
     */
    private String firePicture;

    /**
     * 火情预警数据来源
     */
    private String dataSource;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 记录创建时间，默认用服务器时间
     */
    private Date createdTime;

    /**
     * 归属点位id
     */
    private Long pointId;

    /**
     * 归属点位编号
     */
    private String pointNo;

    /**
     * 归属点位名称
     */
    private String pointName;

    /**
     * 归属点位地址
     */
    private String pointAddress;

    /**
     * 归属点位经度
     */
    private String pointLongitude;

    /**
     * 归属点位纬度
     */
    private String pointLatitude;

    /**
     * 归属点位高度
     */
    private String pointHeight;

    /**
     * 归属点位类型
     */
    private String pointType;

    /** 归属区域名称 */
    private String regionName;

}
