package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 查询火情风险点附近最近的机场VO
 */
@Data
public class AirportVO implements Serializable {

    private static final long serialVersionUID = -1759830973473090526L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 设备厂商
     */
    private String deviceManufacturer;

    /**
     * 设备协议
     */
    private String deviceProtocol;

    /**
     * 接入方式
     */
    private String accessMethod;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 设备状态：在线/离线
     */
    private String deviceStatus;

    /**
     * 归属区域id,机场需要挂在地区下面
     */
    private Long regionId;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 设备启用状态：0-停用/1-启用
     */
    private Integer enableFlag;

    /**
     * 归属地区名称
     */
    private String regionName;


    /** 机场下的无人机列表 */
    private List<DroneVO> droneList;

}
