package com.tcctyn.iot.forestfire.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 审批记录返回给前端VO
 */
@Data
public class ApprovalRecordVO implements Serializable {

    private static final long serialVersionUID = -2678024258066273556L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 业务数据id
     */
    private Long businessDataId;

    /**
     * 业务数据内容
     */
    private Object businessContent;

    /**
     * 审批标识，0-未审批，1-已审批
     */
    private Integer approvalFlag;

    /**
     * 审批状态，0-驳回，1-通过
     */
    private Integer approvalStatus;

    /**
     * 驳回说明
     */
    private String rejectionStatement;

    /**
     * 审核人id
     */
    private Long reviewerId;

    /**
     * 审核时间
     */
    private Date reviewTime;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 记录创建时间，默认用服务器时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 审批人姓名
     */
    private String reviewerName;

}
