package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 设备信息及归属点位信息
 */
@Data
public class DeviceAndPointInfoVO implements Serializable {

    private static final long serialVersionUID = 7032345348538117946L;

    //设备信息

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 设备厂商
     */
    private String deviceManufacturer;

    /**
     * 设备类型
     */
    private String deviceType;

    //点位信息

    /**
     * 归属云台/卡口id
     */
    private Long pointId;

    /**
     * 点位编号
     */
    private String pointNo;

    /**
     * 点位名称
     */
    private String pointName;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 点位类型：云台、卡口、打卡点、巡护点
     */
    private String pointType;

    /**
     * 点位描述信息
     */
    private String pointDescription;

    /**
     * 点位图片，多张以英文逗号分隔
     */
    private String pointPicture;


}
