package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 简单的设备信息
 * 云台、卡口下的设备信息
 */
@Data
public class DeviceInfoSimpleVO implements Serializable {

    private static final long serialVersionUID = -5550394669879020905L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 设备厂商
     */
    private String deviceManufacturer;

    /**
     * 设备协议
     */
    private String deviceProtocol;

    /**
     * 接入方式
     */
    private String accessMethod;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 设备状态：在线/离线
     */
    private String deviceStatus;

    /**
     * 归属区域id,机场需要挂在地区下面
     */
    private Long regionId;

    /**
     * 归属云台/卡口id
     */
    private Long pointId;

    /**
     * 设备启用状态：0-停用/1-启用
     */
    private Integer enableFlag;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 归属地区名称
     */
    private String regionName;

    /**
     * 归属点位名称
     */
    private String pointName;

}
