package com.tcctyn.iot.forestfire.VO;

import com.tcctyn.iot.forestfire.domain.DeviceConfig;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 设备信息返回给前端的VO
 */
@Data
public class DeviceInfoVO implements Serializable {

    private static final long serialVersionUID = 3428836874966786844L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 设备厂商
     */
    private String deviceManufacturer;

    /**
     * 设备协议
     */
    private String deviceProtocol;

    /**
     * 接入方式
     */
    private String accessMethod;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 设备状态：在线/离线
     */
    private String deviceStatus;

    /**
     * 归属区域id,机场需要挂在地区下面
     */
    private Long regionId;

    /**
     * 归属云台/卡口id
     */
    private Long pointId;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 机场id
     */
    private Long airportId;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 设备启用状态：0-停用/1-启用
     */
    private Integer enableFlag;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 该条记录是否被删除，1-已删除，0-未删除
     */
    private Integer delFlag;

    /**
     * 创建人员姓名
     */
    private String createdBy;

    /**
     * 记录创建时间，默认用服务器时间
     */
    private Date createdTime;

    /**
     * 修改人员姓名
     */
    private String updatedBy;

    /**
     * 记录修改时间，默认用服务器时间
     */
    private Date updatedTime;

    //以下是包装给前端的名称字段
    /**
     * 归属地区名称
     */
    private String regionName;

    /**
     * 归属点位名称
     */
    private String pointName;

    /**
     * 归属机场名称
     */
    private String airportName;

    /**
     * 归属名称：统一点位名称与机场名称，方便前端列表页面展示
     */
    private String pointOrAirportName;

    /**
     * 设备配置信息表
     */
    private DeviceConfig deviceConfig;

    /**
     * 设备通道信息表
     */
    private List<DeviceChanelsVO> deviceChanelsVOList;

}
