package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 机场下的无人机列表
 */
@Data
public class DroneVO implements Serializable {

    private static final long serialVersionUID = 628168140318152935L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 设备厂商
     */
    private String deviceManufacturer;

    /**
     * 设备协议
     */
    private String deviceProtocol;

    /**
     * 接入方式
     */
    private String accessMethod;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 设备状态：在线/离线
     */
    private String deviceStatus;

    /**
     * 归属区域id,机场需要挂在地区下面
     */
    private Long regionId;

    /**
     * 机场id
     */
    private Long airportId;

    /**
     * 设备启用状态：0-停用/1-启用
     */
    private Integer enableFlag;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 归属地区名称
     */
    private String regionName;

    /**
     * 归属机场名称
     */
    private String airportName;
}
