package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 火情信息VO
 */
@Data
public class FireWarningInfoVO implements Serializable {

    private static final long serialVersionUID = 8848812242542233067L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 发现火情设备编号
     */
    private String deviceNo;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 所属区域id
     */
    private Long regionId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 火情标题
     */
    private String fireTitle;

    /**
     * 火情级别
     */
    private String fireLevel;

    /**
     * 起火原因
     */
    private String fireCause;

    /**
     * 处置状态：未处理、已研判、已上报、已归档
     */
    private String disposalStatus;

    /**
     * 研判结果说明
     */
    private String analyzeInstruction;

    /**
     * 处置人
     */
    private Long disposalBy;

    /**
     * 处置人姓名
     */
    private String disposalByName;

    /**
     * 处置时间
     */
    private Date disposalTime;

    /**
     * 失火面积
     */
    private String fireArea;

    /**
     * 损失金额
     */
    private String amountDamage;

    /**
     * 火情图片
     */
    private String firePicture;

    /**
     * 火情预警数据来源
     */
    private String dataSource;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createdTime;
}
