package com.tcctyn.iot.forestfire.VO;

import com.tcctyn.iot.forestfire.BO.PointInfoBO;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 巡护路径前端展示对象
 */
@Data
public class PatrolPathVO implements Serializable {

    private static final long serialVersionUID = -549172295504736627L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 路径编号
     */
//    @NotBlank(message = "路径编号不能为空")
    private String pathNo;

    /**
     * 路径名称
     */
    private String pathName;

    /**
     * 归属区域id,取林区、林场、电子围栏中的最下级id
     */
    private Long BelongingRegionId;

    /**
     * 归属区域名称，由林区、林场、电子围栏名称拼起来展示
     */
    private String belongingRegionName;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 路径简介
     */
    private String pathIntroduction;

    /**
     * 路径坐标信息
     */
    private List<PointInfoBO> pointList;



}
