package com.tcctyn.iot.forestfire.VO;

import com.tcctyn.iot.forestfire.BO.PointInfoBO;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *  RangersInfoVO
 *  大屏查询人员信息按钮
 */
@Data
public class RangerInfoVO implements Serializable {

    private static final long serialVersionUID = 7787371089658488280L;

    /** 人员id */
    private Long userId;

    /** 人员姓名，此处的用户名用的是用户表中的nick_name */
    private String userName;

    /** 人员手机号码 */
    private String phonenumber;

    /** 当前经度 */
    private String currentLongitude;

    /** 当前纬度 */
    private String currentLatitude;

    /** 当前高度 */
    private String currentHeight;

    /** 默认经度 */
    private String defaultLongitude;

    /** 默认纬度 */
    private String defaultLatitude;

    /** 默认高度 */
    private String defaultHeight;

    /** 巡护路径id */
    private Long pathId;

    /** 巡护路径名称 */
    private String pathName;

    /**
     * 巡护点信息集合
     */
    private List<PointInfoBO> pointInfoList;
}
