package com.tcctyn.iot.forestfire.controller;

import com.tcctyn.common.core.web.controller.BaseController;
import com.tcctyn.common.core.web.domain.AjaxResult;
import com.tcctyn.iot.forestfire.VO.AggregationStatisticsVO;
import com.tcctyn.iot.forestfire.searcher.aggregation.AggregationStatisticsSearcher;
import com.tcctyn.iot.forestfire.service.IAggregationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 聚合类的接口统一放到这里
 */

@RestController
@RequestMapping("/aggregation")
public class AggregationController extends BaseController {

    @Autowired
    private IAggregationService iAggregationService;

    /**
     * APP端用户登录后的聚合统计接口：
     * 1、未处理的火情预警数量
     * 2、未处理的火情上报数量
     * 3、我的任务模块 未接受的任务数量
     * 4、未审批的记录数
     * 5、林区任务 未接受的任务数量
     */
    @GetMapping("/statistics")
    public AjaxResult statistics(AggregationStatisticsSearcher searcher) {
        Long userId = super.getUserId();
        AggregationStatisticsVO vo = iAggregationService.statistics(searcher, userId);
        return AjaxResult.success(vo);
    }

}
