package com.tcctyn.iot.forestfire.controller;

import com.tcctyn.common.core.web.controller.BaseController;
import com.tcctyn.common.core.web.domain.AjaxResult;
import com.tcctyn.iot.forestfire.domain.DeviceConfig;
import com.tcctyn.iot.forestfire.service.IDeviceConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/deviceConfig")
public class DeviceConfigController extends BaseController {

    @Autowired
    private IDeviceConfigService deviceConfigService;

    @GetMapping("/getById")
    public AjaxResult getById(@RequestParam Long id) {
        DeviceConfig deviceConfig = deviceConfigService.getById(id);
        return AjaxResult.success(deviceConfig);
    }

    @PostMapping("/create")
    public AjaxResult create(@RequestBody DeviceConfig deviceConfig) {
        Integer result = deviceConfigService.create(deviceConfig);
        return AjaxResult.success(result);
    }

    @PostMapping("/delete")
    public AjaxResult delete(@RequestParam Long id) {
        Integer result = deviceConfigService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping("/update")
    public AjaxResult update(@RequestBody DeviceConfig deviceConfig) {
        Integer result = deviceConfigService.update(deviceConfig);
        return AjaxResult.success(result);
    }

    @GetMapping("/selectByDeviceNo")
    public AjaxResult selectByDeviceNo(@RequestParam String deviceNo) {
        DeviceConfig deviceConfig = deviceConfigService.selectByDeviceNo(deviceNo);
        return AjaxResult.success(deviceConfig);
    }

}
