package com.tcctyn.iot.forestfire.controller;

import com.tcctyn.common.core.web.controller.BaseController;
import com.tcctyn.common.core.web.domain.AjaxResult;
import com.tcctyn.iot.forestfire.VO.ScheduleTemplateVO;
import com.tcctyn.iot.forestfire.domain.ScheduleTemplate;
import com.tcctyn.iot.forestfire.service.IScheduleTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 排班模板 前端控制器
 * </p>
 *
 * @author liuzh
 * @since 2024-10-16
 */

@RestController
@RequestMapping("/scheduleTemplate")
public class ScheduleTemplateController extends BaseController {


    @Autowired
    private IScheduleTemplateService iScheduleTemplateService;

    @GetMapping(value = "/list")
    public AjaxResult list(@Validated ScheduleTemplate scheduleTemplate) {
        List<ScheduleTemplateVO> list = iScheduleTemplateService.list(scheduleTemplate);
        return AjaxResult.success(list);
    }


    @GetMapping(value = "/{id}")
    public AjaxResult getById(@PathVariable("id") Long id) {
        ScheduleTemplate scheduleTemplate = iScheduleTemplateService.getById(id);
        return AjaxResult.success(scheduleTemplate);
    }

    @PostMapping(value = "/create")
    public AjaxResult create(@RequestBody ScheduleTemplate params) {
        Integer result = iScheduleTemplateService.create(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/delete/{id}")
    public AjaxResult delete(@PathVariable("id") Long id) {
        Integer result =  iScheduleTemplateService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/update")
    public AjaxResult update(@RequestBody ScheduleTemplate params) {
        Integer result = iScheduleTemplateService.update(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/createBatch")
    public AjaxResult createBatch(@RequestBody List<ScheduleTemplate> params) {
        boolean result = iScheduleTemplateService.createBatch(params);
        return AjaxResult.success(result);
    }
}
