package com.tcctyn.iot.forestfire.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * <p>
 * 设备通道表
 * </p>
 *
 * @author 宋国强
 * @since 2025-04-09
 */

@Data
public class DeviceChanels {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备编号
     */
    @NotBlank(message = "设备编号不能为空")
    private String deviceNo;

    /**
     * 通道号
     */
    private String chanelNo;

    /**
     * 名称
     */
    private String name;

    /**
     * 流地址
     */
    private String streamUrl;

    /**
     * 创建人员姓名
     */
    private String createdBy;

    /**
     * 创建时间，默认用服务器时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createdTime;

    /**
     * 修改人员姓名
     */
    private String updatedBy;

    /**
     * 修改时间，默认用服务器时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updatedTime;

}
