package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 无人机任务计划表
 * </p>
 *
 * @author 代超
 * @since 2024-11-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("drone_task_plan")
public class DroneTaskPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 无人机编号
     */
    private String droneNo;

    /**
     * 任务区域
     */
    private Long regionId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 任务类型：周期性任务、单次性任务
     */
    private String taskType;

    /**
     * 单次任务标识：0-非单次任务；1-单次任务
     */
    private Integer singleTaskFlag;

    /**
     * 执行周期：每多少天执行多少次
     */
    private String executionCycle;

    /**
     * 任务状态：未执行、执行中、已完成
     */
    private String taskStatus;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 任务航线：可以暂时存放经纬度信息，给前端提供模拟的航线
     */
    private String taskRoute;

}
