package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 * 物资库存
 * </p>
 *
 * @author liuzh
 * @since 2024-10-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("inventory")
public class Inventory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 库存id
     */
    @TableId(value = "inventory_id", type = IdType.AUTO)
    private Long inventoryId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 物资id
     */
    private Long materialId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 入库/出库
     */
    private Integer inventoryType;

    /**
     * 物资名称
     */
    private String materialName;

    /**
     * 规格
     */
    private String unit;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 物资类型
     */
    private Integer materialType;

    /**
     * 备注
     */
    private String description;

    /**
     * 删除标志
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createdTime;

    /**
     * 更新者
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updatedTime;

}
