package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 卫星数据模拟表
 * </p>
 *
 * @author 代超
 * @since 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("satellite_data_simulation")
public class SatelliteDataSimulation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 终端编号
     */
    private String terminalNo;

    /**
     * 数据上星时间
     */
    private Date uploadTime;

    /**
     * 序号
     */
    private String serialNumber;

    /**
     * 数据采集时间
     */
    private Date collectTime;

    /**
     * 温度
     */
    private String temperature;

    /**
     * 湿度
     */
    private String humidity;

    /**
     * 大气压力
     */
    private String pressure;

    /**
     * 风速
     */
    private String windSpeed;

    /**
     * 风向
     */
    private String windDirection;

    /**
     * 雨量
     */
    private String rainfall;

    /**
     * 甲烷浓度
     */
    private String methaneConcentration;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 区域范围编码
     */
    private Integer regionScopeNo;


    /** 风险等级：0-正常，1-低风险，2-中风险，3-高风险 */
    private Integer riskLevel;

    /**
     * 降风险标识：0-未降风险，1-已降风险
     */
    private Integer riskReduceFlag;

}
