package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
/**
 * <p>
 * 排班计划
 * </p>
 *
 * @author liuzh
 * @since 2024-10-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("schedule_plan")
public class SchedulePlan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 计划ID
     */
    @TableId(value = "plan_id", type = IdType.AUTO)
    private Long planId;

    /**
     * 归属区域ID
     */
    private Long belongingRegionId;

    /**
     * 林区ID
     */
    private Long forestId;

    /**
     * 林场ID
     */
    private Long farmId;

    /**
     * 电子围栏ID
     */
    private Long fenceId;

    /**
     * 计划名称
     */
    private String planName;

    /**
     * 生效时期
     */
    private String period;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    /**
     * 描述信息
     */
    private String description;

    /**
     * 生成标志
     */
    private Integer genFlag;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 删除标志
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createdTime;

    /**
     * 更新者
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updatedTime;

}
