package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 排班表
 * </p>
 *
 * @author liuzh
 * @since 2024-09-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("schedules")
public class Schedules implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 排班ID
     */
    @TableId(value = "schedule_id", type = IdType.AUTO)
    private Long scheduleId;

    /**
     * 计划ID
     */
    private Long planId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 班次ID
     */
    private Long shiftId;

    /**
     * 路线ID
     */
    private Long pathId;

    /**
     * 归属区域ID
     */
    private Long belongingRegionId;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 星期
     */
    private Integer dayOfWeek;

    /**
     * 日期
     */
    private Date dateOfWeek;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 是否调班
     */
    private Integer swapFlag;

    /**
     * 执行状态
     */
    private Integer status;

    /**
     * 描述信息
     */
    private String description;

    /**
     * 有效打卡次数
     */
    private Integer checkTimes;

    /**
     * 应打卡次数
     */
    private Integer totalTimes;

    /**
     * 巡护进度（打卡率）
     */
    private String patrolRate;

    /**
     * 创建者
     */
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createdTime;

    /**
     * 更新者
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updatedTime;

}
