package com.tcctyn.iot.forestfire.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 需要审批的业务类型；暂时只有请假这个需要审批，后续有需要审批的再做补充
 */
public enum ApprovalBusinessTypeEnum {

    /**
     * 请假
     */
    LEAVE("请假"),

    ;


    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * 描述
     */
    private String desc;

    ApprovalBusinessTypeEnum(String desc) {
        this.desc = desc;
    }

    /**
     * 根据枚举名称获取枚举
     *
     * @param enumName
     * @return
     */
    public static ApprovalBusinessTypeEnum getByEnumName(final String enumName) {
        for (ApprovalBusinessTypeEnum element : values()) {
            if (element.name().equals(enumName)) {
                return element;
            }
        }
        return LEAVE;
    }

    /**
     * 获取枚举名称和desc所有的映射
     *
     * @return
     */
    public static Map<String, String> getName2DescMap() {

        final Map<String, String> name2TitleMap = new LinkedHashMap<>();

        for (ApprovalBusinessTypeEnum element : values()) {
            name2TitleMap.put(element.name(), element.desc);
        }

        return name2TitleMap;
    }
}
