package com.tcctyn.iot.forestfire.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 任务紧急度枚举
 */
public enum TaskUrgencyEnum {

    /**
     * 一般
     */
    COMMON("一般任务"),

    /**
     * 重要
     */
    IMPORTANT("重要任务"),

    /**
     * 紧急
     */
    URGENT("紧急任务"),

    ;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * 描述
     */
    private String desc;

    TaskUrgencyEnum(String desc) {
        this.desc = desc;
    }

    /**
     * 根据枚举名称获取枚举
     *
     * @param enumName
     * @return
     */
    public static TaskUrgencyEnum getByEnumName(final String enumName) {
        for (TaskUrgencyEnum element : values()) {
            if (element.name().equals(enumName)) {
                return element;
            }
        }
        return COMMON;
    }

    /**
     * 获取枚举名称和desc所有的映射
     *
     * @return
     */
    public static Map<String, String> getName2DescMap() {

        final Map<String, String> name2TitleMap = new LinkedHashMap<>();

        for (TaskUrgencyEnum element : values()) {
            name2TitleMap.put(element.name(), element.desc);
        }

        return name2TitleMap;
    }
}
