package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.VO.DeviceAndPointInfoVO;
import com.tcctyn.iot.forestfire.VO.DeviceStatisticsByStatusVO;
import com.tcctyn.iot.forestfire.domain.DeviceInfo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 设备信息表 Mapper 接口
 * </p>
 *
 * @author 代超
 * @since 2024-10-09
 */
public interface DeviceInfoMapper extends BaseMapper<DeviceInfo> {

    /**
     * 根据设备编号查询设备信息及归属点位信息
     * @param deviceNo
     * @return
     */
    DeviceAndPointInfoVO selectByDeviceNo(@Param("deviceNo") String deviceNo);

    /**
     * 设备列表设备信息统计
     * @return
     */
    DeviceStatisticsByStatusVO statisticsByStatus();
}
