package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.VO.FireWarningCountByLevelVO;
import com.tcctyn.iot.forestfire.VO.FireWarningCountByStatusVO;
import com.tcctyn.iot.forestfire.VO.FireWarningStatisticsByDataSourceVO;
import com.tcctyn.iot.forestfire.domain.FireWarningInfo;
import com.tcctyn.iot.forestfire.searcher.BaseTimeSearcher;
import com.tcctyn.iot.forestfire.searcher.firewarning.FireWarningConditionSearcher;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 火情预警信息表 Mapper 接口
 * </p>
 *
 * @author 代超
 * @since 2024-10-08
 */
public interface FireWarningInfoMapper extends BaseMapper<FireWarningInfo> {

    /**
     * 按照处理状态进行统计
     *
     * @param searcher
     * @return
     */
    FireWarningCountByStatusVO countByDisposalStatus(FireWarningConditionSearcher searcher);

    /**
     * 按照火情等级进行统计
     *
     * @param searcher
     * @return
     */
    List<FireWarningCountByLevelVO> countByFireLevel(FireWarningConditionSearcher searcher);

    /**
     * 火情预警按照数据来源进行统计
     *
     * @param searcher
     * @return
     */
    FireWarningStatisticsByDataSourceVO statisticsByDataSource(BaseTimeSearcher searcher);

    /**
     * 火情预警批量归档
     *
     * @param idList
     * @return
     */
    Integer archiveBatch(@Param("idList") List<Long> idList);
}
