package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.VO.PointStatisticsByPointTypeVO;
import com.tcctyn.iot.forestfire.domain.PointInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 点位信息表 Mapper 接口
 * </p>
 *
 * @author 代超
 * @since 2024-09-24
 */
public interface PointInfoMapper extends BaseMapper<PointInfo> {

    /**
     * 批量插入 注入器方法注入
     *
     * @param pointList
     * @return
     */
    Integer insertBatchSomeColumn(List<PointInfo> pointList);

    /**
     * 巡护路径下的点位信息批量修改
     *
     * @param updateList
     * @return
     */
    Integer updateBatch(@Param("updateList") List<PointInfo> updateList);

    /**
     * 资源点分类统计
     * @return
     */
    PointStatisticsByPointTypeVO statisticsByPointType();

    /**
     * 根据设备编号关联查询归属点位信息
     * @param deviceNo
     * @return
     */
    PointInfo selectByDeviceNo(@Param("deviceNo") String deviceNo);
}
