package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.domain.SatelliteDataSimulation;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


/**
 * <p>
 * 卫星数据模拟表 Mapper 接口
 * </p>
 *
 * @author 代超
 * @since 2024-11-04
 */
public interface SatelliteDataSimulationMapper extends BaseMapper<SatelliteDataSimulation> {

    /**
     * 批量插入
     *
     * @param addList
     * @return
     */
    Integer insertBatchSomeColumn(List<SatelliteDataSimulation> addList);

    /**
     * 查询最近十五分钟内的数据
     *
     * @param currentTime
     * @return
     */
    List<SatelliteDataSimulation> selectRecentlyData(@Param("currentTime") Date currentTime);

    /**
     * 对指定区域进行降风险处理
     *
     * @param id
     * @return
     */
    Integer reduceRisk(@Param("id") Long id);
}
