package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.ApprovalRecord;
import com.tcctyn.iot.forestfire.searcher.approvalrecord.ApprovalRecordRejectRequest;

import java.util.List;


/**
 * <p>
 * 审批记录表 服务类
 * </p>
 *
 * @author daichao
 * @since 2024-12-09
 */
public interface IApprovalRecordService {

    /**
     * <p>
     * 分页列表查询
     * </p>
     *
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<ApprovalRecord> list(Integer pageNo, Integer pageSize);

    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    ApprovalRecord getById(Long id);

    /**
     * <p>
     * 新增接口
     * </p>
     *
     * @param approvalRecord
     * @return
     */
    Integer create(ApprovalRecord approvalRecord);


    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 更新接口
     * </p>
     *
     * @param approvalRecord
     * @return
     */
    Integer update(ApprovalRecord approvalRecord);

    /**
     * 审批记录列表查询
     *
     * @param approvalRecord
     * @return
     */
    List<ApprovalRecord> selectList(ApprovalRecord approvalRecord);

    /**
     * 审批通过接口
     *
     * @param id
     * @param userId
     * @return
     */
    Integer approved(Long id, Long userId);

    /**
     * 驳回接口
     * @param request
     * @param userId
     * @return
     */
    Integer reject(ApprovalRecordRejectRequest request, Long userId);
}
