package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.CarouselImageConfig;

import java.util.List;


/**
 * <p>
 * 轮播图配置表 服务类
 * </p>
 *
 * @author daichao
 * @since 2024-12-17
 */
public interface ICarouselImageConfigService {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<CarouselImageConfig> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        CarouselImageConfig getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param carouselImageConfig
        * @return
        */
        Integer create(CarouselImageConfig carouselImageConfig);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param carouselImageConfig
        * @return
        */
        Integer update(CarouselImageConfig carouselImageConfig);

        /**
         * 列表查询
         * @param carouselImageConfig
         * @return
         */
        List<CarouselImageConfig> selectList(CarouselImageConfig carouselImageConfig);

}
