package com.tcctyn.iot.forestfire.service;

import com.tcctyn.iot.forestfire.domain.DeviceConfig;

/**
 * <p>
 * 设备配置表 服务类
 * </p>
 *
 * @author 宋国强
 * @since 2025-04-14
 */
public interface IDeviceConfigService {
    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    DeviceConfig getById(Long id);

    /**
     * <p>
     * 创建接口
     * </p>
     *
     * @param deviceConfig
     * @return
     */
    Integer create(DeviceConfig deviceConfig);

    /**
     * <p>
     * 更新接口
     * </p>
     *
     * @param deviceConfig
     * @return
     */
    Integer update(DeviceConfig deviceConfig);

    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 查询接口
     * </p>
     *
     * @param deviceNo
     * @return
     */
    DeviceConfig selectByDeviceNo(String deviceNo);

}
