package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.DroneTaskPlan;
import com.tcctyn.iot.forestfire.searcher.drone.DroneSearcher;

import java.util.List;


/**
 * <p>
 * 无人机任务计划表 服务类
 * </p>
 *
 * @author 代超
 * @since 2024-11-07
 */
public interface IDroneTaskPlanService {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<DroneTaskPlan> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        DroneTaskPlan getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param droneTaskPlan
        * @return
        */
        Integer create(DroneTaskPlan droneTaskPlan);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param droneTaskPlan
        * @return
        */
        Integer update(DroneTaskPlan droneTaskPlan);

        /**
         * 根据任务状态查询无人机的执飞任务
         * @param searcher
         * @return
         */
        List<DroneTaskPlan> selectByStatus(DroneSearcher searcher);

        /**
         * 无人机历史任务分页查询
         * @param droneTaskPlan
         * @return
         */
        List<DroneTaskPlan> seletList(DroneTaskPlan droneTaskPlan);
}
