package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.VO.FireReportStatisticsVO;
import com.tcctyn.iot.forestfire.domain.FireReport;

import java.util.List;


/**
 * <p>
 * 火情上报表 服务类
 * </p>
 *
 * @author 代超
 * @since 2024-11-01
 */
public interface IFireReportService {

    /**
     * <p>
     * 分页列表查询
     * </p>
     *
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<FireReport> list(Integer pageNo, Integer pageSize);

    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    FireReport getById(Long id);

    /**
     * <p>
     * 新增接口
     * </p>
     *
     * @param fireReport
     * @return
     */
    Integer create(FireReport fireReport);


    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 更新接口
     * </p>
     *
     * @param fireReport
     * @return
     */
    Integer update(FireReport fireReport);

    /**
     * 火情上报列表分页查询
     *
     * @param fireReport
     * @return
     */
    List<FireReport> selectList(FireReport fireReport);

    /**
     * 火情上报归档
     * @param fireReport
     * @return
     */
    Integer archive(FireReport fireReport);

    /**
     * 历史火情上报统计
     * @return
     */
    FireReportStatisticsVO fireReportStatistics();

    /**
     * 火情上报处理
     * @param fireReport
     * @return
     */
    Integer disposal(FireReport fireReport);
}
