package com.tcctyn.iot.forestfire.service;

import com.tcctyn.iot.forestfire.domain.Inventory;
import com.tcctyn.iot.forestfire.searcher.material.InventorySearcher;

import java.util.List;

/**
 * <p>
 * 物资库存 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-10-29
 */
public interface IInventoryService{
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param inventorySearcher
    * @return
    */
    List<Inventory> list(InventorySearcher inventorySearcher);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    Inventory getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param inventory
    * @return
    */
    Integer create(Inventory inventory);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param inventory
    * @return
    */
    Integer update(Inventory inventory);
}
