package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.KeyAreaInfo;

import java.util.List;


/**
 * <p>
 * 重点监控区域配置表 服务类
 * </p>
 *
 * @author daichao
 * @since 2024-12-17
 */
public interface IKeyAreaInfoService {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<KeyAreaInfo> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        KeyAreaInfo getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param keyAreaInfo
        * @return
        */
        Integer create(KeyAreaInfo keyAreaInfo);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param keyAreaInfo
        * @return
        */
        Integer update(KeyAreaInfo keyAreaInfo);

        /**
         * 列表查询
         * @param keyAreaInfo
         * @return
         */
        List<KeyAreaInfo> selectList(KeyAreaInfo keyAreaInfo);
}
