package com.tcctyn.iot.forestfire.service;

import com.tcctyn.common.core.web.domain.AjaxResult;
import com.tcctyn.iot.forestfire.VO.MaterialStatisticsVO;
import com.tcctyn.iot.forestfire.domain.Material;
import com.tcctyn.iot.forestfire.searcher.material.MaterialAllocateSearcher;
import com.tcctyn.iot.forestfire.searcher.material.MaterialSearcher;

import java.util.List;

/**
 * <p>
 * 物资信息 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-10-09
 */
public interface IMaterialService {
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param materialSearcher
    * @return
    */
    List<Material> list(MaterialSearcher materialSearcher);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    Material getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param material
    * @return
    */
    AjaxResult create(Material material);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param material
    * @return
    */
    Integer update(Material material);

    /**
     * 物资入库
     */
    Integer inbound(MaterialAllocateSearcher materialAllocateSearcher);

    /**
     * 物资出库
     */
    Integer outbound(MaterialAllocateSearcher materialAllocateSearcher);

    /**
     * 物资调拨
     * @param materialAllocateSearcher
     * @return
     */
    Integer allocate(MaterialAllocateSearcher materialAllocateSearcher);

    /**
     * 根据仓库id统计物资
     */
    List<MaterialStatisticsVO> getStatisticsByWarehouse(Long warehouseId);
}
