package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.NoticeInfo;

import java.util.List;


/**
 * <p>
 * 通知公告信息表 服务类
 * </p>
 *
 * @author daichao
 * @since 2024-12-17
 */
public interface INoticeInfoService {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<NoticeInfo> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        NoticeInfo getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param noticeInfo
        * @return
        */
        Integer create(NoticeInfo noticeInfo);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param noticeInfo
        * @return
        */
        Integer update(NoticeInfo noticeInfo);

        /**
         * 列表查询
         * @param noticeInfo
         * @return
         */
        List<NoticeInfo> selectList(NoticeInfo noticeInfo);
}
