package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.VO.PatrolPathVO;
import com.tcctyn.iot.forestfire.domain.PatrolPath;

import java.util.List;


/**
 * <p>
 * 巡护路径表 服务类
 * </p>
 *
 * @author 代超
 * @since 2024-09-24
 */
public interface IPatrolPathService {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<PatrolPath> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        PatrolPathVO getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param patrolPath
        * @return
        */
        Integer create(PatrolPath patrolPath);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param patrolPath
        * @return
        */
        Integer update(PatrolPath patrolPath);

        /**
         * 分页列表查询--自己封装的分页插件
         * @param patrolPath
         * @return
         */
        List<PatrolPath> selectList(PatrolPath patrolPath);

        /**
         * 根据林场id查询巡护路径
         * @param regionId
         * @return
         */
        List<PatrolPath> selectByRegionId(Long regionId);

        /**
         * 大屏页面根据地区查询巡护路径
         * @param patrolPath
         * @return
         */
        List<PatrolPathVO> queryByRegion(PatrolPath patrolPath);
}
