package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.VO.AirportVO;
import com.tcctyn.iot.forestfire.domain.SatelliteDataSimulation;

import java.util.Date;
import java.util.List;


/**
 * <p>
 * 卫星数据模拟表 服务类
 * </p>
 *
 * @author 代超
 * @since 2024-11-05
 */
public interface ISatelliteDataSimulationService {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<SatelliteDataSimulation> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        SatelliteDataSimulation getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param satelliteDataSimulation
        * @return
        */
        Integer create(SatelliteDataSimulation satelliteDataSimulation);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param satelliteDataSimulation
        * @return
        */
        Integer update(SatelliteDataSimulation satelliteDataSimulation);

        /**
         * 查询最近一批十五分钟内的卫星数据
         * @param currentTime
         * @return
         */
        List<SatelliteDataSimulation> selectRecentlyData(Date currentTime);

        /**
         * 对指定区域降风险处理
         * 返回给前端火情点最近的机场的坐标信息
         * @param id
         * @return
         */
        AirportVO reduceRisk(Long id);
}
