package com.tcctyn.iot.forestfire.service;

import com.tcctyn.iot.forestfire.VO.WarehouseSelectVO;
import com.tcctyn.iot.forestfire.domain.Warehouse;

import java.util.List;

/**
 * <p>
 * 仓库信息 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-10-09
 */
public interface IWarehouseService {
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param warehouse
    * @return
    */
    List<Warehouse> list(Warehouse warehouse);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    Warehouse getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param warehouse
    * @return
    */
    Integer create(Warehouse warehouse);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param warehouse
    * @return
    */
    Integer update(Warehouse warehouse);

    /**
     * 查询仓库列表用于前端选择器
     */
    List<WarehouseSelectVO> selectWarehouse(Long regionId);

    /**
     * 根据查询条件查询所有的仓库信息
     * @param warehouse
     * @return
     */
    List<Warehouse> selectAll(Warehouse warehouse);
}
