package com.tcctyn.iot.forestfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctyn.iot.forestfire.domain.Shift;
import com.tcctyn.iot.forestfire.mapper.ShiftMapper;
import com.tcctyn.iot.forestfire.service.IShiftService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* <p>
* 班次表 服务实现类
* </p>
*
* @author liuzh
* @since 2024-09-24
*/
@Service
public class ShiftServiceImpl extends ServiceImpl<ShiftMapper,Shift> implements IShiftService {


    @Resource
    private ShiftMapper shiftMapper;

    @Override
    public Page<Shift> list(Integer pageNo, Integer pageSize) {
        return shiftMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public Shift getById(Long id) {
        Shift shift = shiftMapper.selectById(id);
        return shift;
    }

    @Override
    public Integer create(Shift shift) {
        return shiftMapper.insert(shift);
    }

    @Override
    public Integer delete(Long id) {
        return shiftMapper.deleteById(id);
    }

    @Override
    public Integer update(Shift shift) {
            return shiftMapper.updateById(shift);
        }

    @Override
    public List<Shift> selectShiftList(Shift shift) {
        QueryWrapper<Shift> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(shift);
        return shiftMapper.selectList(queryWrapper);
    }

    /**
     * 查询所有班次信息（用于前端选择器）
     * @return
     */
    @Override
    public List<Shift> allShift() {
        return shiftMapper.selectList(new QueryWrapper<>());
    }

}
